﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace Core.Dtos
{
    [DataContract()]
    [Serializable()]
    public class CurrentContext
    {  
        public CurrentContext()
        {        
            Items = new Dictionary<string, object>();
        }

        [DataMember()]
        public string UserName { get; set; }

        [DataMember()]
        public Dictionary<string, object> Items { get; set; }

        [DataMember()]
        public bool IsAuthenticated {get;set;}        
      
        public void Clear()
        {
            Items.Clear();                        
        }
    }
}