using System;
using System.Collections.Generic;
using System.Runtime.Serialization;

namespace Core.Dtos
{
    [Serializable]
    [DataContract]
    public partial class PersonDto : BaseDto<int>
    {
        /// <summary>Parameterless constructor (important for serialization)</summary>
        public PersonDto()
        {
        }

        // ********************************************************************************
        // *** Primitive properties *******************************************************
        // ********************************************************************************		
        [DataMember]
        public int Id { get; set; }
        [DataMember]
        public string Name { get; set; }


        // ********************************************************************************
        // *** Complex properties *********************************************************
        // ********************************************************************************

        // ********************************************************************************
        // *** Navigation properties ******************************************************
        // ********************************************************************************        
    }
}