using System;
using System.Collections.Generic;
using System.Runtime.Serialization;

namespace Core.Entities
{	
	[DataContract]    
	public  class Person : BaseEntity<int>
	{		
		public Person()
		{
		}
				
		// ********************************************************************************
		// *** Primitive properties *******************************************************
		// ********************************************************************************
		[DataMember] public int Id { get; set; }
		[DataMember] public string Name { get; set; }


		// ********************************************************************************
		// *** Complex properties *********************************************************
		// ********************************************************************************
	
		// ********************************************************************************
		// *** Navigation properties ******************************************************
		// ********************************************************************************                
        public virtual List<Policy> Policies { get; set; }

	}
}

