using System;
using System.Collections.Generic;
using System.Runtime.Serialization;

namespace Core.Entities
{	
	[DataContract]    
	public  class Policy : BaseEntity<int>
	{		
		public Policy()
		{
		}
				
		// ********************************************************************************
		// *** Primitive properties *******************************************************
		// ********************************************************************************
		[DataMember] public int Id { get; set; }
		[DataMember] public long Number { get; set; }
		[DataMember] public int PersonID { get; set; }


		// ********************************************************************************
		// *** Complex properties *********************************************************
		// ********************************************************************************
        //public string PersonName
        //{
        //    get
        //    {
        //        return (Person != null) ? Person.Name : null;
        //    }
        //}
	
		// ********************************************************************************
		// *** Navigation properties ******************************************************
		// ********************************************************************************
		[DataMember] public virtual Person Person { get; set; }

	}
}