﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using Core.Entities;
using System.ServiceModel.Web;
using Core.Messages;

namespace Core.IServices
{
    public interface ICrudBaseService<TId, TEntity, TDto, TQuery> :  IReadBaseService<TId, TEntity, TDto, TQuery>
    {          
        BaseResponse<TId> Add(BaseRequest<TDto> request);
        BaseResponse Edit(BaseRequest<TDto> request);
        BaseResponse Delete(string id);        
   }
}
