﻿

using System;
using System.Collections.Generic;
using Core.Entities;

namespace Core.Dtos
{

	public static class DtoExtensionMethods
	{
		public static MotorPolicy[] ToEntities(this IEnumerable<MotorPolicyDto> dtos)
		{
			return AutoMapper.Mapper.Map<IEnumerable<MotorPolicyDto>, MotorPolicy[]>(dtos);
		}		

		public static MotorPolicy ToEntity(this MotorPolicyDto dto)
		{
			return AutoMapper.Mapper.Map<MotorPolicyDto, MotorPolicy>(dto);
		}
		
		public static Person[] ToEntities(this IEnumerable<PersonDto> dtos)
		{
			return AutoMapper.Mapper.Map<IEnumerable<PersonDto>, Person[]>(dtos);
		}		

		public static Person ToEntity(this PersonDto dto)
		{
			return AutoMapper.Mapper.Map<PersonDto, Person>(dto);
		}
		
		public static Policy[] ToEntities(this IEnumerable<PolicyDto> dtos)
		{
			return AutoMapper.Mapper.Map<IEnumerable<PolicyDto>, Policy[]>(dtos);
		}		

		public static Policy ToEntity(this PolicyDto dto)
		{
			return AutoMapper.Mapper.Map<PolicyDto, Policy>(dto);
		}
		
	}
}

