﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Core.Entities;
using Core.Dtos;

namespace Core.Dtos
{    
    public static class PolicyDtoExtensions
    {
        public static Policy ToEntityInheritance(this PolicyDto dto)
        {                        
            if (dto is MotorPolicyDto)
                return AutoMapper.Mapper.Map<MotorPolicyDto, MotorPolicy>((MotorPolicyDto)dto);

            throw new Exception("dto ToEntityInheritance error");
        }

        public static Policy ToEntityInheritance(this PolicyDto dto, Policy entity)
        {
            if (dto is MotorPolicyDto)
                return AutoMapper.Mapper.Map<MotorPolicyDto, MotorPolicy>((MotorPolicyDto)dto, (MotorPolicy)entity);

            throw new Exception("dto ToEntityInheritance error");
        }

    }
}