﻿using System.Web.Mvc;
using System.Web.Mvc.Html;

namespace Library.Mvc
{
    public static class PartialForExtensions
    {
        public static void RenderPartialWithPrefix(this HtmlHelper helper, string partialViewName, object model, string prefix)
        {
            helper.RenderPartial(partialViewName,
                                 model,
                                 new ViewDataDictionary
                                     {
                                         TemplateInfo = new TemplateInfo
                                                            {
                                                                HtmlFieldPrefix = prefix
                                                            }
                                     });
        }
    }
}



