﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.ExceptionHandling;
using Microsoft.Practices.EnterpriseLibrary.Logging;

namespace Library.Logging
{
    public class EnterpriseLibraryLogAdapter : ILogger
    {
        public EnterpriseLibraryLogAdapter()
        {

        }

        public void Log(string message)
        {
            Logger.Write(message);
        }

        public void Log(Exception ex)
        {
            ExceptionPolicy.HandleException(ex, "Log");
        }
    }
}
