﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Core.IRepository;
using Core.Entities;
using System.Data.Objects;
using System.Data.Entity;

namespace Repositories
{
    public class PersonRepository : BaseRepository<int, Person>, IPersonRepository
    {
        public PersonRepository(DbContext EFContext)
            : base(EFContext)
        {
        }

        protected override DbSet<Person> DbSet
        {
            get { return Context.People; }
        }    
    }
}
