using System.Collections.Generic; 
using System.Text; 
using System;
using System.Runtime.Serialization; 


namespace Core {

    [DataContract]
    [KnownType(typeof(MotorPolicy))]    
    public partial class Policy 
    {
        public Policy() { }

        [DataMember]
        public virtual int Id { get; set; }

        [DataMember]
        public virtual Person Person { get; set; }

        [DataMember]
        public virtual long Number { get; set; }

        [DataMember]
        public virtual int PersonID { get; set; }

        public virtual string PersonName
        {
            get
            {
                if (Person != null)
                    return Person.Name;
                else
                    return null;
            }
        }
    }
}
