﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using StructureMap.Configuration.DSL;
using Core.IServices;
using ProxyServices;

namespace Factory
{
    public class ProxyServiceRegistry : Registry
    {
        public ProxyServiceRegistry()
        {
            For<IPolicyService>().Use<PolicyProxyService>();
        }
    }
}
