﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using StructureMap.Configuration.DSL;
using Core.IServices;
using Services;
using Core.IGateways;
using Reports;

namespace Factory
{
    public class ServiceRegistry : Registry
    {
        public ServiceRegistry()
        {
            For<IPolicyReport>().Use<PolicyReport>();

            For<IPolicyService>().Use<PolicyService>();
        }
    }
}
