﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Library.Domain;

namespace Library.UnitOfWork
{
    public interface IUnitOfWork
    {
        void RegisterAmended(IEntity entity, IUnitOfWorkRepository unitofWorkRepository);
        void RegisterNew(IEntity entity, IUnitOfWorkRepository unitofWorkRepository);
        void RegisterRemoved(IEntity entity, IUnitOfWorkRepository unitofWorkRepository);
        void Commit();
    }
}
