﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Library.Domain;

namespace Library.UnitOfWork
{
    public interface IUnitOfWorkRepository
    {
        void PersistCreationOf(IEntity entity);
        void PersistUpdateOf(IEntity entity);
        void PersistDeletionOf(IEntity entity);
    }
}
