﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using StructureMap.Configuration.DSL;
using Core.IGateways;
using Library.Logging;
using Reports;

namespace Assembler
{
    public class GatewayRegistry : Registry
    {
        public GatewayRegistry()
        {                       
            For<ILogger>().Singleton().Use<Log4NetAdapter>();
            For<IPolicyReport>().Use<PolicyReport>();
        }
    }
}
