﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using StructureMap.Configuration.DSL;
using System.Data.Objects;
using Core.IRepository;
using StructureMap;
using Library.Structuremap;
using System.Configuration;
using Repositories;
using System.Data.Entity;

namespace Assembler
{
    public class RepositoryRegistry : Registry
    {
        public RepositoryRegistry(InstanceScope contextLifecycle)
        {
            For<DbContext>().LifecycleIs(StructuremapHelper.GetLifecycle(contextLifecycle)).Use<InsuranceEntities>();

            For<IUnitOfWork>().Use<UnitOfWork>();
            For<IPolicyRepository>().Use<PolicyRepository>();
            For<IPersonRepository>().Use<PersonRepository>();
        }
    }
}
