﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.ServiceModel.Web;
using Core.Entities;
using Core.Messages;

namespace Core.IServices
{
    public interface IReadBaseService<TId, TEntity, TDto, TQuery>
    {        
        BaseResponse<TDto> FindById(string id);
        ListResponse<TDto> FindBy(TQuery query);
    }
}
