﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.IO;
using Core.Queries;
using Core.Entities;
using Core.Dtos;

namespace Core.IServices
{
    [ServiceContract()]
    [ServiceKnownType(typeof(MotorPolicy))]
    public interface IPolicyService : ICrudBaseService<int, Policy, PolicyDto, PolicyQuery> 
    {
        [OperationContract()]
        [WebGet(UriTemplate = "/documents/{id}")]
        Stream GenerateDocument(string id);
    }
}
