﻿

using System;
using System.Collections.Generic;
using Core.Dtos;

namespace Core.Entities
{

	public static class EntityExtensionMethods
	{
		
		public static MotorPolicyDto[] ToDtos(this IEnumerable<MotorPolicy> entities)
		{
			return AutoMapper.Mapper.Map<IEnumerable<MotorPolicy>, MotorPolicyDto[]>(entities);
		}		

		public static MotorPolicyDto ToDto(this MotorPolicy entity)
		{
			return AutoMapper.Mapper.Map<MotorPolicy, MotorPolicyDto>(entity);
		}		
		
		public static PersonDto[] ToDtos(this IEnumerable<Person> entities)
		{
			return AutoMapper.Mapper.Map<IEnumerable<Person>, PersonDto[]>(entities);
		}		

		public static PersonDto ToDto(this Person entity)
		{
			return AutoMapper.Mapper.Map<Person, PersonDto>(entity);
		}		
		
		public static PolicyDto[] ToDtos(this IEnumerable<Policy> entities)
		{
			return AutoMapper.Mapper.Map<IEnumerable<Policy>, PolicyDto[]>(entities);
		}		

		public static PolicyDto ToDto(this Policy entity)
		{
			return AutoMapper.Mapper.Map<Policy, PolicyDto>(entity);
		}		
	}
}

