﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Core.Entities;
using Core.Dtos;

namespace Core.Entities
{
    public static class PolicyEntityExtensions
    {
        public static PolicyDto ToDtoInheritance(this Policy policy)
        {
            if (policy is MotorPolicy)
                return AutoMapper.Mapper.Map<MotorPolicy, MotorPolicyDto>((MotorPolicy)policy);

            throw new Exception("entity ToDtoInheritance error");
        }

        public static PolicyDto[] ToDtosInheritance(this IEnumerable<Policy> entities)
        {
            List<PolicyDto> list = new List<PolicyDto>();
            foreach (Policy policy in entities)
            {
                list.Add(policy.ToDtoInheritance());
            }

            return list.ToArray();
        }
    }
}
