﻿using System.Web;
using System.Web.Optimization;

namespace Front.Mvc
{
    public class BundleConfig
    {
        // For more information on Bundling, visit http://go.microsoft.com/fwlink/?LinkId=254725
        public static void RegisterBundles(BundleCollection bundles)
        {
             bundles.Add(new ScriptBundle("~/bundles/jslibraries").Include(
                            "~/Scripts/jquery-{version}.js",
                            "~/Scripts/jquery-ui-{version}.js",
                            "~/Scripts/jquery.unobtrusive*",
                            "~/Scripts/jquery.validate*",
                            "~/Scripts/modernizr-*",
                            "~/Scripts/bootstrap.js",
                            "~/Scripts/bootstrap-paginator*",
                            "~/Scripts/hogan-template.js",
                            "~/Scripts/hogan-compiler.js",
                            "~/Scripts/Lib/lib.ajaxformx.js",
                            "~/Scripts/Lib/lib.ajaxgrid.js",
                            "~/Scripts/Lib/lib.crud.js",
                            "~/Scripts/Lib/lib.download.js",
                            "~/Scripts/Lib/lib.prefix.js",
                            "~/Scripts/Lib/lib.queryString.js",
                            "~/Scripts/Lib/lib.notify.js",
                            "~/Scripts/Lib/lib.serialize.js"                            
                            ));

             bundles.Add(new ScriptBundle("~/bundles/jspolicy").Include(
                       "~/Scripts/Policy/dom.ready.js"));                       

            bundles.Add(new StyleBundle("~/Content/css").Include("~/Content/bootstrap.css",
                        "~/Content/bootstrap-responsive.css"                        
                        ));

            bundles.Add(new StyleBundle("~/Content/themes/base/css").Include(
                        "~/Content/themes/base/jquery.ui.core.css",
                        "~/Content/themes/base/jquery.ui.resizable.css",
                        "~/Content/themes/base/jquery.ui.selectable.css",
                        "~/Content/themes/base/jquery.ui.accordion.css",
                        "~/Content/themes/base/jquery.ui.autocomplete.css",
                        "~/Content/themes/base/jquery.ui.button.css",
                        "~/Content/themes/base/jquery.ui.dialog.css",
                        "~/Content/themes/base/jquery.ui.slider.css",
                        "~/Content/themes/base/jquery.ui.tabs.css",
                        "~/Content/themes/base/jquery.ui.datepicker.css",
                        "~/Content/themes/base/jquery.ui.progressbar.css",
                        "~/Content/themes/base/jquery.ui.theme.css"));
        }
    }
}