﻿var alertHtml = '<div class="alert alert-dismissable" id="message">' +
  '<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>' +
  '<strong class="title"></strong>' +
  '<div class="message"></div>' +
  '</div>';

(function ($) {
    function error(e) {        
        var alert = $(alertHtml);
        alert.addClass("alert-danger");        
        $(".title", alert).text("Warning!");
        $(".message", alert).text(e.message);
        $(".main-content").append(alert);
        throw e;
    };

    function success(data) {
        var alert = $(alertHtml);
        alert.addClass("alert-succes");
        $(".title", alert).text("Well done!");
        $(".message", alert).text("You successfully execute the command");
        $(".main-content").append(alert);
    };

    function info(data) {
        var alert = $(alertHtml);
        alert.addClass("alert-info");
        $(".message", alert).text(data);
        $(".main-content").append(alert);
    }
    
    function handleResponse(data) {
        try {
            if (data.Success)
                success(data);
            else
                error(data);
        } catch (e){
            error(e);
        }
    };

    jQuery.notify = function (value) {
        if (value instanceof Error) {
            error(value);
            return;
        }

        if (typeof (value) == "object") {
            handleResponse(value);
            return;
        }

        if (typeof (value) == "string")
                console.error(value);
    };
    
})(jQuery);


