﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects;
using Core.IRepository;
using System.Data.Entity;

namespace Repositories
{
    public class UnitOfWork : IUnitOfWork
    {
        public DbContext EFContext;

        public UnitOfWork(DbContext EFContext)
        {
            this.EFContext = EFContext;
        }

        public bool Commit()
        {
            return EFContext.SaveChanges() > 0; 
        }
    }
}
