﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Lib.Query;

namespace Core.IRepository
{
    public interface IBaseRepository<TId, TEntity>
    {
        TId Add(TEntity entity);        
        void Delete(TEntity entity);
        void Edit(TEntity entity);
        TEntity FindBy(TId id);        
        IList<TEntity> FindBy(IReadLiteQuery query);        
    }
}
