﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using Core.Queries;
using Library.Messages;
using System.ServiceModel.Web;
using System.IO;

namespace Core.IServices
{
    [ServiceContract()]
    [ServiceKnownType(typeof(MotorPolicy))]
    public interface IPolicyService : IBaseService<int, Policy, PolicyQuery>
    {
        [OperationContract()]
        [WebGet(UriTemplate = "/documents/{id}")]
        Stream GenerateDocument(string id);
    }
}
