﻿

using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using Loef;
using Core.Dtos;


namespace Core
{
	public static class EntityExtensionMethods
	{
		/// <summary>
    	/// Easily create DTO objects from actual domain entity objects
    	/// </summary>
    	public static MotorPolicyDto[] ToDtos(this IEnumerable<MotorPolicy> entities)
    	{
    		return AutoMapper.Mapper.Map<IEnumerable<MotorPolicy>, MotorPolicyDto[]>(entities);
    	}
		

		
		/// <summary>
    	/// Easily create DTO objects from actual domain entity objects
    	/// </summary>
    	public static PersonDto[] ToDtos(this IEnumerable<Person> entities)
    	{
    		return AutoMapper.Mapper.Map<IEnumerable<Person>, PersonDto[]>(entities);
    	}
		

		
		/// <summary>
    	/// Easily create DTO objects from actual domain entity objects
    	/// </summary>
    	public static PolicyDto[] ToDtos(this IEnumerable<Policy> entities)
    	{
    		return AutoMapper.Mapper.Map<IEnumerable<Policy>, PolicyDto[]>(entities);
    	}
		

		
	}
}

