﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Core.IRepository;
using Core;
using System.Data.Objects;
using Lib.Query.EntityFramework;

namespace DataAccess.EntityFramework
{
    public class PersonRepository : BaseRepository<int, Person>, IPersonRepository
    {
        public PersonRepository(ObjectContext EFContext)
            : base(EFContext)
        {
        }

        protected override ObjectSet<Person> ObjectSet
        {
            get { return Context.People; }
        }    
    }
}
