﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using Microsoft.Reporting.WebForms;
using System.Web;
using Library.Helpers;
using System.Threading;
using Core.IGateways;
using Core;

namespace Reports
{
    public class PolicyReport : BaseReport, IPolicyReport
    {
        public PolicyReport()
        {                        
        }

        protected override Microsoft.Reporting.WebForms.LocalReport BuildLocalReport()
        {
            MotorPolicy policy = (MotorPolicy)Parameters["policy"];

            LocalReport localReport = new LocalReport();            
            localReport.ReportPath = HttpContext.Current.Server.MapPath("/Content/Reports/Policy.rdlc");
            localReport.DataSources.Add(CreateReportDataSource<MotorPolicy>("MotorPolicyDs", policy));

            return localReport;
        }                                
    }
}
