﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Microsoft.Reporting.WinForms;
using Core;

namespace Reports
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            LocalReport localReport = this.reportViewer1.LocalReport;
            localReport.ReportPath = "Policy.rdlc";

            MotorPolicy p = new MotorPolicy();
            p.Number = 1;
            p.PlateNo = "B1";
            p.Person = new Person();
            p.Person.Name = "Mihai";

            List<MotorPolicy> list = new List<MotorPolicy>();
            list.Add(p);
            ReportDataSource reportDataSource = new ReportDataSource("MotorPolicyDs", list);            
            localReport.DataSources.Add(reportDataSource);
          
            this.reportViewer1.RefreshReport();
        }
    }
}
